# STTA Rev. 1.3 Copyright (c) 2001-2004 Jesús Pérez Lorenzo  --- license GNU GPL 
# stta: (@#) 1.31051043346- [2004_01_29_102036]
# ldapcache.pl for STTA 
 
if ( $access{'passwd'} && $config{'is_masterHost'} eq "true" ) {
    if ( $config{'is_ldapcache'} eq "true" ) {
        if ($out_titles eq 1 ) {   
	    print "<td valign=top align=Center><h3>$text{'index_ldapcache'}</h3></center>\n";
        }
        @olinks = ("cache_addobj.cgi", "cache_modobj.cgi","cache_delobj.cgi");
        @otitles = map { /^cache_(\S+).cgi/; $text{$1."_title"} } @olinks;
        @oicons = map { /^cache_(\S+).cgi/; "images/$1.gif"; } @olinks;
        if ($interface eq "tabs" ) {
               &outicons_table;
        } else {
               &icons_table(\@olinks, \@otitles, \@oicons);
        }
        if ($out_titles eq 1 ) { print "</td>\n", }    
    }
}
